summaryrefslogtreecommitdiff
path: root/dev-python/msgpack/msgpack-1.0.2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
commit8e8120eabdd28020aa69c7a60505cce2edd20adc (patch)
tree061bf0acdc672720e0bc3a2d575f67d25aedb2d8 /dev-python/msgpack/msgpack-1.0.2.ebuild
parentc16790af2c9b4cbc38e565d4311252193ff85484 (diff)
downloadbaldeagleos-repo-21.1.2.tar.gz
baldeagleos-repo-21.1.2.tar.xz
baldeagleos-repo-21.1.2.zip
Updating liguros repo21.1.2
Diffstat (limited to 'dev-python/msgpack/msgpack-1.0.2.ebuild')
-rw-r--r--dev-python/msgpack/msgpack-1.0.2.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/msgpack/msgpack-1.0.2.ebuild b/dev-python/msgpack/msgpack-1.0.2.ebuild
new file mode 100644
index 000000000000..d33ff4300343
--- /dev/null
+++ b/dev-python/msgpack/msgpack-1.0.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="MessagePack (de)serializer for Python"
+HOMEPAGE="https://msgpack.org
+ https://github.com/msgpack/msgpack-python/
+ https://pypi.org/project/msgpack/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86 ~x64-macos"
+IUSE="+native-extensions"
+
+# extension code is relying on CPython implementation details
+BDEPEND="
+ native-extensions? (
+ $(python_gen_cond_dep '>=dev-python/cython-0.16[${PYTHON_USEDEP}]' 'python*')
+ )
+ test? ( dev-python/six[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Remove pre-generated cython files
+ rm msgpack/_cmsgpack.cpp || die
+
+ if ! use native-extensions ; then
+ sed -i -e "/have_cython/s:True:False:" setup.py || die
+ fi
+ distutils-r1_python_prepare_all
+}